org.apache.commons.beanutils.locale

## Class LocaleBeanUtilsBean.Descriptor

- java.lang.Object
- - org.apache.commons.beanutils.locale.LocaleBeanUtilsBean.Descriptor

- Enclosing class:
    LocaleBeanUtilsBean

  Deprecated.
  Property name expressions are now processed by the configured `Resolver` implementation and this class is no longer used by BeanUtils.

      @Deprecated
      protected class LocaleBeanUtilsBean.Descriptor
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Descriptor(Object target, String name, String propName, String key, int index)` Deprecated. Construct a descriptor instance for the target bean and property.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Deprecated. Return indexed property index.
    `String` | `getKey()` Deprecated. Return the mapped property key.
    `String` | `getName()` Deprecated. Return property name (includes indexed/mapped expr).
    `String` | `getPropName()` Deprecated. Return the property name.
    `Object` | `getTarget()` Deprecated. Return the target bean.
    `void` | `setIndex(int index)` Deprecated. Set the indexed property index.
    `void` | `setKey(String key)` Deprecated. Set the mapped property key.
    `void` | `setName(String name)` Deprecated. Set the property name (includes indexed/mapped expr).
    `void` | `setPropName(String propName)` Deprecated. Set the property name.
    `void` | `setTarget(Object target)` Deprecated. Set the target bean.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Descriptor

          public Descriptor(Object target,
                            String name,
                            String propName,
                            String key,
                            int index)

      Deprecated.
      Construct a descriptor instance for the target bean and property.
      Parameters:
        `target` - The target bean
        `name` - The property name (includes indexed/mapped expr)
        `propName` - The property name
        `key` - The mapped property key (if any)
        `index` - The indexed property index (if any)

  - ### Method Detail

    - #### getTarget

          public Object getTarget()

      Deprecated.
      Return the target bean.
      Returns:
        The descriptors target bean

    - #### setTarget

          public void setTarget(Object target)

      Deprecated.
      Set the target bean.
      Parameters:
        `target` - The target bean

    - #### getKey

          public String getKey()

      Deprecated.
      Return the mapped property key.
      Returns:
        the mapped property key (if any)

    - #### setKey

          public void setKey(String key)

      Deprecated.
      Set the mapped property key.
      Parameters:
        `key` - The mapped property key (if any)

    - #### getIndex

          public int getIndex()

      Deprecated.
      Return indexed property index.
      Returns:
        indexed property index (if any)

    - #### setIndex

          public void setIndex(int index)

      Deprecated.
      Set the indexed property index.
      Parameters:
        `index` - The indexed property index (if any)

    - #### getName

          public String getName()

      Deprecated.
      Return property name (includes indexed/mapped expr).
      Returns:
        The property name (includes indexed/mapped expr)

    - #### setName

          public void setName(String name)

      Deprecated.
      Set the property name (includes indexed/mapped expr).
      Parameters:
        `name` - The property name (includes indexed/mapped expr)

    - #### getPropName

          public String getPropName()

      Deprecated.
      Return the property name.
      Returns:
        The property name

    - #### setPropName

          public void setPropName(String propName)

      Deprecated.
      Set the property name.
      Parameters:
        `propName` - The property name

Copyright © 2000–2016 The Apache Software Foundation. All rights reserved.